P2P SSV
Get List Deposits
Retrieve a list of all deposits along with the validator status either by withdrawal address, transaction hash or deposit ID.
GET
/
api
/
v1
/
eth
/
staking
/
ssv
/
p2p
/
deposits
Get List Deposits
curl --request GET \
--url https://api.p2p.org/api/api/v1/eth/staking/ssv/p2p/deposits \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.p2p.org/api/api/v1/eth/staking/ssv/p2p/deposits"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.p2p.org/api/api/v1/eth/staking/ssv/p2p/deposits', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"error": null,
"result": {
"limit": 50,
"offset": 0,
"totalCount": 150,
"list": [
{
"deposit": {
"depositId": "49851686-9058-491f-a393-9ca477a7063a",
"marker": "3648ff79-a714-4503-9f0f-772f7e6a1105",
"transactionHash": "0xc6180e03f1ea7e30eba1c0870471516c575e695afa5066b55038ca73df242e33",
"senderAddress": "0x338EF19fA2eC0fc4d1277B1307a613fA1FBbc0cb",
"withdrawalAddress": "0x338EF19fA2eC0fc4d1277B1307a613fA1FBbc0cb",
"feeRecipientAddress": "0x338EF19fA2eC0fc4d1277B1307a613fA1FBbc0cb",
"totalAmount": "32000000000",
"unprocessedAmount": "32000000000"
},
"validator": {
"status": "active_ongoing",
"amount": "1",
"pubkey": "0xbe5E9c3Bb9eba1BF4C5eC1c1cbcF85ee2CE2fEC66Ce5460C23eF82332A044FDCabF7011F588CCbD77E73CCe6c4accDF0",
"withdrawalCredentials": "0x01",
"signature": "0x01",
"depositMessageRoot": "0x01",
"depositDataRoot": "0x01",
"forkVersion": "0x01",
"depositCliVersion": "0.1.0",
"eth2NetworkName": "mainnet"
}
}
],
"markers": [
{
"marker": "3648ff79-a714-4503-9f0f-772f7e6a1105",
"processStatus": "pending",
"address": "0x338EF19fA2eC0fc4d1277B1307a613fA1FBbc0cb",
"amount": "32000000000000000000",
"amountPerValidator": "32000000000",
"feeRecipientAddress": "0x53da3c92fCCEb0CFE1764f65DDfF1564A2b15585"
}
],
"totalAmount": "<string>",
"unprocessedAmount": "<string>"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Number of resources that a single response page contains.
Required range:
1 <= x <= 1000Example:
50
Number of resources to exclude from a response.
Required range:
0 <= x <= 100000Example:
0
Type of the request.
Available options:
withdrawalAddress, transactionHash, markers Example:
{
"WITHDRAWAL_ADDRESS": "withdrawalAddress",
"TRANSACTION_HASH": "transactionHash",
"MARKERS": "markers"
}
Withdrawal address for the validators.
Pattern:
^0x[a-fA-F0-9]{40}$Example:
"0x338EF19fA2eC0fc4d1277B1307a613fA1FBbc0cb"
Hash of the deposit transaction.
Pattern:
^0x([A-Fa-f0-9])+$Example:
"0x2b1c6bbdeadb0b23ca8260a819fde1c0b0347b0fd42c33a9b2513b36d6521dc6"
Array of markers to filter the deposits.
Get List Deposits
